#!/bin/bash

PACKAGE_NAME=cct

name=${0##*/}
BUILD_ROOT=${0%usr/share/doc/cct*/$name}
if [ "$BUILD_ROOT" == '/' ]; then
    echo 1>&2 The RPM package should be built in a SUBDIRECTORY.
    exit 1
fi
[ "$BUILD_ROOT" == "${BUILD_ROOT#/}" ] && BUILD_ROOT="`pwd`/$BUILD_ROOT"

SPEC_FILE=/tmp/buildrpm.$$.spec

if [ ! -d /$BUILD_ROOT ]; then
    echo 1>&2 "error: directory /$BUILD_ROOT does not exist."
    exit 2
fi

trap "rm -f $SPEC_FILE; exit" 0 1 2 3 15

cat <<END >$SPEC_FILE
Name:		$PACKAGE_NAME
Buildroot: 	$BUILD_ROOT
Requires:	tetex tetex-fonts tetex-latex cct-fonts
#Requires:	tetex-xdvi tetex-dvips
Provides:	cct-redhat6x cct
Version: 	1.2
Release:	0
Summary:	CCT v1.2pl0 for RedHat Linux 6.x/7.x/8.x
Group:		Applications/Publishing
URL:		ftp://lsec.cc.ac.cn/pub/cct
Packager:	Zhang Lin-bo <zlb@lsec.cc.ac.cn>
License:	non-commercial use

%description

CCT is a set of programs which adds Chinese support to
an existing TeX system. This package is designed to work
with RedHat teTeX distribution.

%prep

%build

%install

%post
#cctinit
texhash

%files
/usr/*

%changelog
* Mon Jan 30 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>
- /usr/bin/cct, /usr/bin/cctinit upgraded to v5.15 (the new version does
  not insert spaces before or after '~')
- Added CCT.sty

END

rpmbuild -bb $SPEC_FILE
